
Ruby - Feature #11273

[PATCH] Make it possible to `load` from a FIFO file

06/17/2015 07:04 AM - cesario (Franck Verrot)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

Description

Revision #50887 (https://bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/50887) avoided load from blocking the VM when

accessing a FIFO file, but loading from a FIFO doesn't work (raises LoadError).

This patch makes it possible.

PS: I wasn't sure it was a bug or a feature so I've set it to bug. Of course, feel free to fix this.

History

#1 - 06/17/2015 07:06 AM - cesario (Franck Verrot)

- File deleted (0001-file.c-load-now-supports-reading-from-a-FIFO-file.patch)

#2 - 06/17/2015 07:07 AM - cesario (Franck Verrot)

- File 0001-file.c-load-now-supports-reading-from-a-FIFO-file.patch added

#3 - 06/19/2015 12:59 PM - cesario (Franck Verrot)

- Subject changed from Make it possible to `load` from a FIFO file to [PATCH] Make it possible to `load` from a FIFO file

#4 - 07/23/2019 05:45 PM - jeremyevans0 (Jeremy Evans)

- Tracker changed from Bug to Feature

- ruby -v deleted (ruby 2.3.0dev (2015-06-17 load-fifo 50934) [x86_64-darwin14])

#5 - 08/26/2024 04:53 PM - alanwu (Alan Wu)

- Status changed from Open to Closed

Closing as we carry a test since bc8687acd62584bf2ba9a951289f3f25a4de7229 that exercises this functionality.

Files

0001-file.c-load-now-supports-reading-from-a-FIFO-file.patch 3.18 KB 06/17/2015 cesario (Franck Verrot)
